Deployments
List device updates
Authorization
API key Deployments: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Deployments: read
Path Parameters
workspaceId*string
Format
uuiddeploymentCohortId*string
deploymentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
sortColumn?null||
ascending?null|boolean
limit?||
Match
^-?(?:0|[1-9]\d*)$Format
int32cursor?null|string
filter?null|
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/deployment-cohorts/m3Yg84tDx7Rn/deployments/p6Bh19qSj5Fw/device-updates/list" \ -H "Content-Type: application/json" \ -d '{ "sortColumn": "DeviceId", "ascending": true, "limit": 50, "filter": { "deviceId": [ { "contains": "thermostat" } ], "state": [ "Failed", "InProgress" ] } }'Page of device updates of the deployment.
{ "deviceUpdates": [ { "deviceId": "thermostat-0042", "state": "InProgress", "attempts": [ { "id": 1042, "deviceId": "thermostat-0042", "deploymentId": "p6Bh19qSj5Fw", "createdAt": "2026-01-12T09:05:00+00:00", "state": "InProgress", "manifestSentToDeviceAt": "2026-01-12T09:05:02+00:00", "lastArtifactStateChangedAt": "2026-01-12T09:07:41+00:00", "artifacts": [ { "id": "t7Ln28xRg4Cp", "deploymentArtifactId": "s4Jm62wQb7Nz", "state": "InProgress", "firmware": { "isMain": true, "slug": "main-application", "firmwareVersion": { "id": "r2Kt75mXc8Vd", "name": "2.4.1", "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" } } } } ] } ] } ], "hasMore": false}